### Function

# Fwupd SecurityAttr result_from_string

#### Declaration [src]

    FwupdSecurityAttrResult
    fwupd_security_attr_result_from_string (
      const gchar* result
    )

#### Description [src]

Converts a string to an enumerated result.

Available since: | 1.7.1

#### Parameters

`result` | `const gchar*`
| A string, e.g. `not-encrypted`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FwupdSecurityAttrResult`
| Enumerated value.